/*
*  DESIGN TOKENS
*/

:root {
  --color-primary: var(--primary);
  --color-secondary: hsla(48, 89%, 67%, 1);
  --color-bg: var(--background);
  --color-text: var(--primary);
  --color-border: var(--muted-fg);
  --color-border-dim: hsla(221, 61%, 26%, 0.5);
  --shadow: 0 2px 8px hsla(221, 61%, 26%, 0.12);
  --color-success: #BCF7B3;
  --color-failure: rgba(255, 0, 0, 0.25);
  --color-text-dim: hsla(213, 86%, 19%, 0.75);
  --font-family: 'IBM Plex Sans', -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
  --primary: hsla(229, 84%, 5%, 1);
  --primary-90: hsla(222, 47%, 11%, 0.9);
  --primary-foreground: hsla(0, 0%, 98%, 1);
  --secondary: hsla(0, 0%, 96%, 1);
  --secondary-80: hsla(210, 40%, 96%, 0.8);
  --secondary-foreground: hsla(0, 0%, 4%, 1);
  --muted-foreground: hsla(0, 0%, 45%, 1);
  --background: hsla(0, 0%, 100%, 1);
  --card: hsla(0, 0%, 100%, 1);
  --input: hsla(0, 0%, 90%, 1);
  --border: hsla(0, 0%, 90%, 1);
  --accent: hsla(0, 0%, 96%, 1);
  --destructive: hsla(0, 84%, 60%, 1);
  --destructive-90: hsla(0, 84%, 60%, 0.9);
  --destructive-muted: hsla(0, 96%, 89%, 1);
  --destructive-muted-foreground: hsla(0, 70%, 35%, 1);
  --success-muted: hsla(141, 79%, 85%, 1);
  --success-muted-foreground: hsla(143, 64%, 24%, 1);
  --alert-muted: hsla(32, 98%, 83%, 1);
  --alert-muted-foreground: hsla(15, 79%, 34%, 1);
  --page-bg: #fafaf9;
  --card-bg: #ffffff;
  --foreground: #020617;
  --border-color: hsla(0, 0%, 90%, 1);
  --primary-fg: #fafafa;
  --muted-fg: #737373;
  --sidebar-fg: #404040;
  --spacing-xs: 4px;
  --spacing-sm: 6px;
  --spacing-md: 8px;
  --spacing-lg: 12px;
  --spacing-xl: 16px;
  --spacing-3xl: 24px;
  --px-3: 0.75rem;
  --px-4: 1rem;
  --py-2: 0.5rem;
  --radius: 8px;
  --radius-md: 6px;
  --shadow-light: 0px 6px 6px 0px rgba(148, 163, 184, 0.15), 0px 0px 1px 0px #94a3b8;
  --layout-columns: 1fr;
  --layout-margin: var(--spacing-3xl);
  --content-margin: var(--spacing-3xl);
}

@media (min-width: 768px) {
  :root {
    --layout-columns: 15rem 1fr;
  }
}

/*
*  FONT DEFINITION
*/

@font-face {
  font-family: 'IBM Plex Sans';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/IBMPlexSans-Regular.ttf) format('woff2');
}

@font-face {
  font-family: 'IBM Plex Sans';
  font-style: italic;
  font-display: swap;
  src: url(/IBMPlexSans-Italic.ttf) format('woff2');
}

@font-face {
  font-family: 'IBM Plex Sans';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(/IBMPlexSans-Bold.ttf) format('woff2');
}

/*
*  GLOBAL
*/

html {
  height: 100%;
}

body {
  background: var(--page-bg);
  color: var(--color-text);
  font-family: var(--font-family);
  margin: 0;
  padding: 0;
  font-size: 0.875rem;
}

h1 {
  font-size: 1.25rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.75rem;
  letter-spacing: -0.0075rem;
  margin-block: var(--h1-margin, 2.5rem);
}

h2 {
  font-size: 1.125rem;
  font-weight: var(--h2-weight, 400);
  margin-block: var(--h2-margin, 2.5rem 1.25rem);
}

a {
  color: var(--color-text);
}

hr {
  border: none;
  border-bottom: 1px solid var(--border-color);
  margin: var(--hr-margin, 0) 0;
}

/*
*  COMPOSITION
*/

.layout {
  display: grid;
  padding: var(--layout-margin);
  gap: var(--layout-margin);
  grid-template-columns: var(--layout-columns);
  align-items: start;
}

.flow {
  display: flex;
  flex-direction: column;
  gap: var(--flow-spacing, var(--spacing-xl, 1rem));
}

.row {
  display: flex;
  justify-content: var(--row-justify, unset);
  align-items: center;
  gap: var(--row-gap, var(--spacing-xl));
  align-self: stretch;
}

.grow {
  flex-grow: 1;
}

.no-shrink {
  flex-shrink: 0;
}


/*
*  UTILITIES
*/

.txt-leading {
  font-size: 1.25rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.75rem;
  letter-spacing: -0.0075rem;
}

.txt-hint {
  font-style: italic;
  color: var(--color-text-dim, inherit);
}

.txt-invalid {
  font-style: italic;
  color: var(--color-text-dim, inherit);
}

.txt-center {
  text-align: center;
}

.txt-right {
  text-align: right;
}

.txt-muted {
  color: var(--muted-foreground);
}

.txt-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.info {
  font-style: italic;
}

.code {
  padding: 0.5rem var(--padding, 1rem);
  margin-inline: calc(-1 * var(--padding, 1rem));
  background: hsla(48, 89%, 93%, 1);
  white-space: pre-line;
}

.display-contents {
  display: contents;
}

.list-reset {
  list-style: none;
  padding: 0;
  margin: 0;
}

.tighten>*:first-child {
  margin-block-start: 0;
}

.tighten>*:last-child {
  margin-block-end: 0;
}

.fill {
  width: 100%;
  height: 100%;
}

.center {
  justify-content: center;
  align-items: center;
}

.space {
  justify-content: space-between;
}

.margin-mega {
  margin: var(--layout-margin);
  margin-block-start: calc(5 * var(--layout-margin));
}

/*
*  BLOCK / EXCEPTIONS
*/

.sidebar {
  position: sticky;
  top: var(--layout-margin);
  height: calc(100vh - (2 * var(--layout-margin)));
  --flow-spacing: var(--spacing-md);
  --link-padding: var(--py-2) var(--px-3);
  --link-height: 2.5rem;
}

.sidebar-header {
  margin-block-end: var(--flow-spacing);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-weight: 600;
}

.sidebar-header a {
  color: var(--sidebar-fg);
  font-weight: 400;
  text-decoration: none;
}

.sidebar-link {
  display: flex;
  align-items: center;
  gap: var(--spacing-md);
  padding: var(--py-2) var(--px-3);
  border-radius: var(--radius-md);
  height: var(--link-height);
  box-sizing: border-box;
  background: var(--sidebar-bg, unset);
  color: var(--sidebar-fg);
  font-weight: 500;
  text-decoration: none;
}

.sidebar-link__icon {
  flex-shrink: 0;
}

.sidebar-link__text {
  flex: 1 1 0;
  min-width: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.sidebar-link[aria-current] {
  --sidebar-bg: var(--foreground);
  --sidebar-fg: var(--primary-fg);
}

.sidebar-link:not([aria-current]):hover {
  --sidebar-bg: rgba(2, 6, 23, 0.05);
}

.clean-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.card {
  border-radius: var(--radius);
  background: var(--card);
  box-shadow: 0 6px 6px 0 rgba(148, 163, 184, 0.15), 0 0 1px 0 var(--slate-400, #94A3B8);
  container-type: inline-size;
  overflow: hidden;
  width: 100%;
}

.card[data-state=narrow] {
  max-width: 480px;
}

.card+.card {
  margin-block-start: var(--spacing-3xl);
}

.dialog {
  border-radius: var(--radius, -0.5rem);
  border: 1px solid var(--border);
  padding: var(--spacing-3xl);
  background: var(--card);
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  --h2-margin: 0;
  --h2-weight: 700;
  --flow-spacing: var(--spacing-3xl);
}

.header {
  --row-justify: flex-end;
  margin-block: var(--content-margin, 1.5rem);
  padding-inline: var(--content-margin, 1.5rem);
  --h1-margin: 0;
  --h2-margin: 0;
}

.header h1,
.header h2 {
  flex: 1 0 max-content;
}

.content {
  margin: var(--content-margin, 1.5rem);
}

.content>*:first-child {
  margin-block-start: 0;
}

.content>*:last-child {
  margin-block-end: 0;
}

.link-button {
  text-decoration: underline;
  font-weight: 400;
  cursor: pointer;
}

:is(button, .button) {
  --height: 2.5rem;
  margin: var(--button-margin, 0);
  color: var(--primary-foreground);
  background: var(--primary);
  border-radius: var(--radius-md);
  padding: var(--py-2) var(--px-4);
  min-height: var(--height);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  border: none;
  line-height: 1.25;
  font-family: inherit;
  font-size: inherit;
  cursor: pointer;
  text-decoration: none;
  box-sizing: border-box;
}

:is(button, .button) svg {
  color: inherit;
  width: 1rem;
  height: 1rem;
  flex-shrink: 0;
}

:is(button, .button):not(:disabled, a:not([href])):hover {
  background: var(--primary-90);
}

:is(button, .button):disabled {
  opacity: 0.5;
}

:is(button, .button)[icon-only] {
  width: var(--height);
  height: var(--height);
}

:is(button, .button)[data-size="sm"] {
  --height: 2.25rem;
}

:is(button, .button):not([data-type="link"]):focus {
  outline: 2px solid var(--muted-foreground);
  outline-offset: 1px;
}

:is(button, .button)[data-type="secondary"] {
  color: var(--secondary-foreground);
  background: var(--secondary);
}

:is(button, .button)[data-type="secondary"]:not(:disabled, a:not([href])):hover {
  background: var(--secondary-80)
}

:is(button, .button)[data-type="outline"] {
  color: var(--foreground);
  background: var(--background);
  border: 1px solid var(--border);
}

:is(button, .button)[data-type="outline"]:not(:disabled, a:not([href])):hover {
  background: var(--accent);
}

:is(button, .button)[data-type="ghost"] {
  background: transparent;
  color: var(--foreground);
}

:is(button, .button)[data-type="ghost"]:not(:disabled, a:not([href])):hover {
  background: var(--accent)
}

:is(button, .button)[data-type="error"] {
  background: var(--destructive);
}

:is(button, .button)[data-type="error"]:not(:disabled, a:not([href])):hover {
  background: var(--destructive-90);
}

:is(button, .button)[data-type="sidebar"] {
  display: flex;
  justify-content: flex-start;
  padding-inline: var(--px-3);
  background: transparent;
  color: var(--foreground);
}

:is(button, .button)[data-type="sidebar"]:not([aria-current]):hover {
  background: rgba(2, 6, 23, 0.05);
}

:is(button, .button)[data-type="sidebar"][aria-current] {
  background: var(--foreground);
  color: var(--primary-foreground);
}

:is(button, .button)[data-type="sidebar"][aria-current]:hover {
  background: var(--primary-90);
}

.item {
  display: flex;
  height: 4.25rem;
  padding: var(--spacing-xl, 1rem);
  align-items: center;
  gap: var(--spacing-md, 0.5rem);
  align-self: stretch;
  border-radius: var(--radius);
  border: 1px solid var(--border);
  background: var(--card);
  box-sizing: border-box;
  text-decoration: none;
}

.item::before {
  content: "";
  display: inline-block;
  width: 1.5rem;
  height: 1.5rem;
  background-color: currentColor;
  mask-image: url("/icons/caret-right.svg");
  mask-size: contain;
  mask-repeat: no-repeat;
}

.badge {
  padding: 0.125rem 0.625rem;
  border-radius: 10rem;
  background: var(--primary);
  color: var(--primary-foreground);
  font-style: normal;
}

.badge[data-type="secondary"] {
  background: var(--secondary);
  color: var(--secondary-foreground);
}

.badge[data-type="error"] {
  background: var(--destructive-muted);
  color: var(--destructive-muted-foreground);
}

.badge[data-type="outline"] {
  background: transparent;
  color: inherit;
  border: 1px solid var(--border);
}

.badge[data-type="success"] {
  background: var(--success-muted);
  color: var(--success-muted-foreground);
}

.badge[data-type="alert"] {
  background: var(--alert-muted);
  color: var(--alert-muted-foreground);
}

/* still used at least on admin pages */
.list {
  list-style: none;
  padding: 0;
  margin: 1.25rem 0;
}

.list__item {
  --bg: white;
  margin-block: 0.5rem;
}

.list__item--deleted {
  --bg: transparent;
}

.list__link {
  background: var(--bg);
  border: var(--border);
  padding: .75rem 1rem;
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem 1rem;
  width: 100%;
  box-sizing: border-box;
  position: relative;
  flex-wrap: wrap;
  padding-right: calc(2rem + 14px);
  border-radius: var(--radius);
}

.list__link::after {
  content: url(/chevron.svg);
  position: absolute;
  right: 1rem;
  height: 20px;
  width: 14px;
}

.list__link> :first-child {
  flex: 1;
  line-height: 1.5;
}

.pill {
  background: var(--pill-background, none);
  color: var(--pill-color, inherit);
  border: var(--pill-border, 1px solid);
  display: flex;
  padding: 0.125rem 0.625rem;
  justify-content: center;
  align-items: center;
  gap: 0.625rem;
  border-radius: 10rem;
  font-weight: 400;
  font-style: normal;
  text-transform: capitalize;
}

.pill[data-state="success"] {
  --pill-background: var(--success);
  --pill-color: var(--success-foreground);
  --pill-border: none;
}

.pill[data-state="error"] {
  --pill-background: var(--destructive);
  --pill-color: var(--destructive-foreground);
  --pill-border: none;
}

.log {
  white-space: pre;
  font-family: monospace;
  font-size: 1rem;
  background: #0A0A0A;
  color: var(--color-bg);
  margin: 0;
  padding: 1.5rem;
  overflow-x: auto;
}

.build-icon {
  height: var(--build-icon-height, 2rem);
  width: auto;
  display: var(--build-icon-display, block);
}

.breadcrumb {
  --row-gap: 0.875rem;
}

.breadcrumb svg {
  display: block;
}

.list-site-info {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  min-width: min(200px, 100%);
}

.list-build-info {
  display: flex;
  flex-wrap: wrap;
  column-gap: 1ch;
}

.settings {
  --h2-margin: var(--content-margin);
  --hr-margin: var(--content-margin);
}

.dl {
  --dl-display: block;
  --dd-margin: 1rem 0;
  display: var(--dl-display);
  grid-template-columns: max-content 1fr;
  gap: 0.5rem 1rem;
  max-width: 100%;
  word-break: break-word;
  margin-block: 1rem;
  align-items: center;
}

@container (min-width: 400px) {
  .dl {
    --dl-display: grid;
    --dd-margin: 0;
  }
}

.dl dt {
  font-weight: 700;
}

.dl dd {
  margin: var(--dd-margin);
  grid-column: 2;
  max-width: 100%;
  contain: inline-size;
}

.status {
  background: var(--color-secondary);
  border: var(--border);
  padding-inline: 1rem;
  margin-block: 1.25rem;
}

.status__error {
  font-family: monospace;
  font-size: 1rem;
  white-space: pre-line;
}

.status__error::first-line {
  font-weight: 700;
}

summary {
  cursor: pointer;
}

code {
  font-size: 1rem;
  /* padding: 0 0.1875em; */
  word-wrap: break-word;
}

.logo {
  display: block;
  width: 20px;
  height: 20px;
}

.card__banner {
  margin: -1rem;
  margin-bottom: 1rem;
  padding: 1rem;
  background: var(--color-success);
}

.button--danger {
  background: var(--color-failure);
  color: var(--color-text);
}

.code code {
  padding: unset;
}

.form--inline {
  display: inline;
}

.button--small {
  padding: 0.25rem 0.5rem;
}

.highlight {
  background: hsla(48, 89%, 93%, 1);
  padding: 0.125em 0.5ch;
}

.input--full-width {
  display: block;
  margin-block: 0.5rem;
  width: 100%;
}

.button--mini {
  --color: inherit;
  border-radius: 0.25rem;
  border: 1px solid var(--text, #1B356C);
  background: rgba(27, 53, 108, 0.05);
  padding: 0.375rem 0.75rem;
  display: var(--display-open, inline-block);
  min-width: auto;
}

.button--done::after {
  display: inline;
  content: ' ✔';
}

.card-form {
  margin-block-start: 1.5rem;
}

.toggler__state {
  position: absolute;
  opacity: 0;
  z-index: -999;
  visibility: visible;
  display: block;
}

.toggler:has(.toggler__state:focus) .toggler__toggle {
  outline: var(--focus-outline);
}

.toggler__show {
  visibility: hidden;
  position: absolute;
}

.toggler:has(.toggler__state:checked) .toggler__show {
  visibility: visible;
  position: static;
}

.toggler:has(.toggler__state:checked) .toggler__hide {
  display: none;
}

.toggler {
  position: relative;
}

.card-form__heading {
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
  letter-spacing: -0.0225rem;
  text-transform: uppercase;
  margin-block: 0 0.75rem;
}

.notifications {
  display: var(--display);
  grid-template-columns: max-content 1fr max-content;
  width: 100%;
  border: none;
  border-collapse: collapse;
  --display: block;
  padding: 0;
  margin: 1rem 0;
  list-style: none;
  gap: 0.75rem 0.5rem;
}

.notifications__type {
  white-space: nowrap;
  padding: 0;
  font-style: italic;
  grid-area: var(--grid-area);
  --grid-area: type;
}

.notifications__address {
  display: block;
  grid-area: var(--grid-area);
  --grid-area: address;
  text-overflow: ellipsis;
  overflow: hidden;
}

.notifications__actions {
  padding: 0;
  width: max-content;
  line-height: 0.5rem;
  grid-area: var(--grid-area);
  display: flex;
  align-items: center;
  --grid-area: actions;
}

.button--icon {
  background: none;
  border: none;
  cursor: pointer;
  color: var(--color-text-dim);
  padding: 0;
  --hover-color: var();
}

.button__icon {
  width: 1.25rem;
  height: 1.25rem;
  display: block;
}

.fieldset__row {
  display: var(--display);
  --display: block;
}

@container (min-width: 30rem) {
  .fieldset {
    --display: grid;
  }

  .fieldset__row {
    --display: contents;
  }

  .fieldset__label {
    --margin-block: 0;
  }
}

.notifications__item {
  --margin-block: 0.5rem;
  margin-block: var(--margin-block);
  display: var(--display);
  --display: grid;
  grid-template-areas: 'type actions' 'address actions';
  grid-template-columns: minmax(0, 1fr) max-content;
}

@container (min-width: 25rem) {
  .notifications {
    --display: grid;
  }

  .notifications__item {
    --display: contents;
  }

  .notifications__type {
    --grid-area: unset;
  }

  .notifications__address {
    --grid-area: unset;
  }

  .notifications__actions {
    --grid-area: unset;
  }
}

.icon-button__text {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

.team-members {
  list-style: none;
  padding: 0;
  margin-block: 1rem;
}

.team-members__item {
  margin-block: 0.5rem;
}

.ellipsis-summary {
  list-style: none;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

details[open] .ellipsis-summary {
  display: none;
}

.pagination {
  list-style: none;
  margin: 0 auto;
  padding: 0;
  display: flex;
  gap: 0.25rem;
  justify-content: center;
  align-items: center;
  --item-padding: 0.25rem;
}

.pagination a {
  display: flex;
  padding: 0.625rem;
  justify-content: center;
  align-items: center;
  gap: 0.25rem;
  text-decoration: none;
  min-width: 2.5rem;
  height: 2.5rem;
  box-sizing: border-box;
}

.pagination a[aria-current] {
  border-radius: 0.5rem;
  border: var(--border);
  background: var(--background);
}

.pagination svg {
  display: block;
}

.apikeys {
  width: 100%;
}

.apikeys__header {
  text-align: left;
}

.apikeys__actions {
  text-align: right;
}

.usage {
  --padding: 2px;
  margin: calc(var(--padding) * -1);
  width: 100%;
  border-collapse: collapse;
}

.usage__head {
  padding: var(--padding);
  text-align: left;
}

.usage__row:hover {
  --usage-cell-bg: var(--color-bg);
}

.usage__cell {
  padding: var(--padding);
  background: var(--usage-cell-bg, unset);
}

.usage__head--bandwidth {
  text-align: right;
}

.usage__head--buildmin {
  text-align: right;
}

.usage__cell--bandwidth {
  text-align: right;
}

.usage__cell--buildmin {
  text-align: right;
}

.plan-header {
  text-align: center;
}

.plans {
  --card-margin: 1.875rem;
  --inner-margin: 1.25rem;
  --color-highlight: rgba(16, 149, 255, 0.15);
}

.plans {
  display: flex;
  gap: var(--card-margin);
  flex-wrap: wrap;
  justify-content: center;
  max-width: 62rem;
  margin-inline: auto;
}

.plans__plan {
  border-radius: 1rem;
  background: #FFF;
  box-shadow: var(--shadow);
  padding-inline: var(--card-margin);
  max-width: 26ch;
  min-width: min(20ch, calc(100vw - 4 * var(--card-margin)));
  flex: 1 0;
}

.plans__plan::before {
  content: ' ';
  display: block;
  margin-bottom: var(--card-margin);
}

.plans__plan::after {
  content: ' ';
  display: block;
  margin-top: var(--card-margin);
}

.plans__title {
  font-size: 1.25rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-block: 0 0.5rem;
}

.plans__description {
  margin-block: 0.5rem 1.25rem;
  min-height: 3rem;
}

.plans__highlight {
  margin: var(--inner-margin) calc(var(--card-margin) * -1);
  padding: var(--inner-margin) var(--card-margin);
  background: var(--color-highlight);
}

.plans__pricing {
  margin-block: 0 1rem;
  line-height: 1;
}

.plans__price {
  font-size: 2rem;
  font-style: normal;
  font-weight: 700;
  line-height: 1;
  /* 100% */
  margin-inline-end: 0.25rem;
}

.plans__cta {
  --bg: var(--color-primary);
  --color: white;
}

.plans__cta--disabled {
  --bg: var(--color-bg);
  --color: var(--color-text-dim);
  cursor: initial;
}

.plans__cta {
  padding: 0.625rem;
  border-radius: 0.3125rem;
  display: block;
  background: var(--bg);
  color: var(--color);
  text-align: center;
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-decoration: none;
  width: 100%;
  box-sizing: border-box;
}

.plans__cta:hover {
  background: var(--bg);
  color: var(--color);
}

.plans__limits {
  margin-block: var(--inner-margin);
}

.plans__limit {
  margin-block: calc(var(--inner-margin) / 2);
  line-height: 1.5;
}

.plans__feature-list {
  margin-block: 0.25rem 0;
}

.plans__enterprise {
  margin: 2.5rem auto;
  max-width: 60ch;
}

.banner {
  --margin-block: 0.5em;
  width: 100%;
  background: var(--color-secondary);
  padding-inline: 1rem;
  box-sizing: border-box;
}

.banner::before,
.banner::after {
  content: '';
  display: block;
  margin-top: var(--margin-block);
}

.banner--center {
  text-align: center;
}

.comparison {
  margin-block: 2rem;
  max-width: 62rem;
  margin-inline: auto;
}

.comparison[open] {
  --margin-heading: 1rem;
}

.comparison__heading {
  text-align: center;
  margin: var(--margin-heading, 0) auto;
  display: block;
  max-width: max-content;
}

.comparison__table-wrapper {
  overflow-x: auto;
}

.comparison__table {
  width: 100%;
  border-collapse: collapse;
  min-width: 640px;
  table-layout: fixed;
}

.comparison__col-feature {
  width: 30%;
}

.comparison__table th,
.comparison__table td {
  border-bottom: var(--border-bottom, 1px solid var(--color-border-dim));
  padding: 0.5rem;
  text-align: left;
  vertical-align: top;
}

.comparison__table tbody tr:last-of-type {
  --border-bottom: none;
}

.comparison__table thead th {
  font-weight: 700;
}